Changeset 3057


Ignore:
Timestamp:
Nov 6, 2013 5:24:13 AM (6 years ago)
Author:
stefan
Message:

add check for -lm; rerun autotools

Location:
ThirdParty/Metis/trunk
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Metis/trunk/configure

    r2985 r3057  
    10621062                          (implies --disable-shared)
    10631063  --enable-debug-metis compile project Metis with debug compiler flags
    1064   --enable-doscompile     Under Cygwin, compile so that executables run under
    1065                           DOS. Set to mingw to use gcc/g++/ld with
    1066                           -mno-cygwin. Set to msvc to use cl/link (or
    1067                           icl/link). Default when mentioned: mingw. Default
    1068                           when not mentioned: disabled.
     1064
     1065  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    10691066  --disable-pkg-config    disable use of pkg-config (if available)
    10701067  --enable-static[=PKGS]
     
    18541851
    18551852# Get the name of the C compiler
    1856 case $build in
     1853
     1854
     1855  # for backward compatibility
     1856  # Check whether --enable-doscompile or --disable-doscompile was given.
     1857if test "${enable_doscompile+set}" = set; then
     1858  enableval="$enable_doscompile"
     1859  enable_doscompile=$enableval
     1860else
     1861  enable_doscompile=no
     1862fi;
     1863
     1864  # Check whether --enable-msvc or --disable-msvc was given.
     1865if test "${enable_msvc+set}" = set; then
     1866  enableval="$enable_msvc"
     1867  enable_msvc=$enableval
     1868else
     1869  enable_msvc=no
     1870     if test "$enable_doscompile" = msvc ; then
     1871       enable_msvc=yes
     1872     elif test "$enable_doscompile" != no ; then
     1873       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1874echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1875   { (exit 1); exit 1; }; }
     1876     fi
     1877
     1878fi;
     1879
     1880  if test "$enable_msvc" = MD; then
     1881    enable_shared=yes
     1882    enable_msvc=yes
     1883  fi
     1884
     1885  if test "$enable_msvc" = yes; then
     1886    case $build in
     1887      *-cygwin* | *-mingw*) ;;
     1888      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1889echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1890   { (exit 1); exit 1; }; } ;;
     1891    esac
     1892  fi
     1893
     1894
     1895 case $build in
    18571896  *-mingw*)
    18581897    if test "${LD+set}" = set; then :; else
     
    18611900    ;;
    18621901 esac
    1863  case $enable_doscompile in
    1864    msvc)
    1865      if test "x${LD+set}" = xset; then :; else
    1866        LD=link
    1867      fi
    1868      ;;
    1869  esac
    1870 
    1871 
    1872  # Check whether --enable-doscompile or --disable-doscompile was given.
    1873 if test "${enable_doscompile+set}" = set; then
    1874   enableval="$enable_doscompile"
    1875   if test "$enable_doscompile" != no; then
    1876      case $build in
    1877        *-cygwin* | *-mingw*) ;;
    1878        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1879 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    1880    { (exit 1); exit 1; }; } ;;
    1881      esac
     1902 if test $enable_msvc = yes ; then
     1903   if test "x${LD+set}" = xset; then :; else
     1904     LD=link
    18821905   fi
    1883 else
    1884   enable_doscompile=no
    1885 fi;
    1886  case "$enable_doscompile" in
    1887    mingw)
    1888      case $build in
    1889        *-mingw*) enable_doscompile=no ;;
    1890      esac
    1891      ;;
    1892    msvc|no) ;;
    1893    yes) enable_doscompile=mingw ;;
    1894    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1895                     Try configure --help=recursive." >&5
    1896 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1897                     Try configure --help=recursive." >&2;}
    1898    { (exit 1); exit 1; }; }
    1899       ;;
    1900   esac
    1901   if test "$enable_doscompile" != no ; then
    1902     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1903 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    1904   fi
     1906 fi
    19051907
    19061908
     
    19451947case $build in
    19461948  *-cygwin* | *-mingw*)
    1947              if test "$enable_doscompile" = msvc ; then
    1948                comps="icl cl"
     1949             if test "$enable_msvc" = yes ; then
     1950               comps="icl cl gcc"
    19491951             else
    1950                comps="gcc cl"
     1952               comps="gcc icl cl"
    19511953             fi ;;
    19521954  *-*-solaris*)
     
    28012803            ;;
    28022804        esac
    2803         case $enable_doscompile in
    2804           mingw)
    2805             CFLAGS="-mno-cygwin"
    2806             cat >conftest.$ac_ext <<_ACEOF
    2807 /* confdefs.h.  */
    2808 _ACEOF
    2809 cat confdefs.h >>conftest.$ac_ext
    2810 cat >>conftest.$ac_ext <<_ACEOF
    2811 /* end confdefs.h.  */
    2812 
    2813 int
    2814 main ()
    2815 {
    2816 int i=0; i++;
    2817   ;
    2818   return 0;
    2819 }
    2820 _ACEOF
    2821 rm -f conftest.$ac_objext conftest$ac_exeext
    2822 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2823   (eval $ac_link) 2>conftest.er1
    2824   ac_status=$?
    2825   grep -v '^ *+' conftest.er1 >conftest.err
    2826   rm -f conftest.er1
    2827   cat conftest.err >&5
    2828   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2829   (exit $ac_status); } &&
    2830          { ac_try='test -z "$ac_c_werror_flag"
    2831                          || test ! -s conftest.err'
    2832   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2833   (eval $ac_try) 2>&5
    2834   ac_status=$?
    2835   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2836   (exit $ac_status); }; } &&
    2837          { ac_try='test -s conftest$ac_exeext'
    2838   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2839   (eval $ac_try) 2>&5
    2840   ac_status=$?
    2841   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2842   (exit $ac_status); }; }; then
    2843   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2844 else
    2845   echo "$as_me: failed program was:" >&5
    2846 sed 's/^/| /' conftest.$ac_ext >&5
    2847 
    2848 fi
    2849 rm -f conftest.err conftest.$ac_objext \
    2850       conftest$ac_exeext conftest.$ac_ext
    2851             CFLAGS=
    2852           ;;
    2853         esac
    28542805    esac
    28552806  fi
     
    30523003fi
    30533004
    3054 # If CFLAGS contains -mno-cygwin, CPPFLAGS must also have it.
    3055 
    3056 case "$CFLAGS" in
    3057   *-mno-cygwin*)
    3058     if test x${CPPFLAGS+set} != xset ; then
    3059       CPPFLAGS="-mno-cygwin"
    3060     else
    3061       case "$CPPFLAGS" in
    3062         *-mno-cygwin*)
    3063           ;;
    3064         *)
    3065           CPPFLAGS="$CPPFLAGS -mno-cygwin"
    3066           ;;
    3067       esac
    3068     fi ;;
    3069 esac
    3070 
    30713005# add -DPROJECT_BUILD to signal compiler preprocessor which config header file to include
    30723006if test x$COIN_PRJCT != x; then
     
    31923126  clang* ) ;;
    31933127  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3194     case $build in
     3128
     3129 case $build in
    31953130  *-mingw*)
    31963131    if test "${LD+set}" = set; then :; else
     
    31993134    ;;
    32003135 esac
    3201  case $enable_doscompile in
    3202    msvc)
    3203      if test "x${LD+set}" = xset; then :; else
    3204        LD=link
    3205      fi
    3206      ;;
    3207  esac
     3136 if test $enable_msvc = yes ; then
     3137   if test "x${LD+set}" = xset; then :; else
     3138     LD=link
     3139   fi
     3140 fi
    32083141
    32093142    ;;
     
    33843317  # but it is likely to be either .. (if we are a usual coin project) or ../.. (if we are a unusual coin project like ThirdParty or Data)
    33853318  COIN_PKG_CONFIG_PATH_UNINSTALLED=
    3386   if test -e ../coin_subdirs.txt ; then
     3319  if test -f ../coin_subdirs.txt ; then
    33873320    for i in `cat ../coin_subdirs.txt` ; do
    33883321      if test -d ../$i ; then
     
    33953328  fi
    33963329
    3397   if test -e ../../coin_subdirs.txt ; then
     3330  if test -f ../../coin_subdirs.txt ; then
    33983331    for i in `cat ../../coin_subdirs.txt` ; do
    33993332      if test -d ../../$i ; then
     
    34443377            ;;
    34453378          cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3446             { echo "$as_me:$LINENO: WARNING: DLL building not supported. I'm disabling your choice, but will build with -MD(d) instead of -MT(d)." >&5
    3447 echo "$as_me: WARNING: DLL building not supported. I'm disabling your choice, but will build with -MD(d) instead of -MT(d)." >&2;}
     3379            { echo "$as_me:$LINENO: DLL building not supported, but will build with -MD(d) instead of -MT(d)." >&5
     3380echo "$as_me: DLL building not supported, but will build with -MD(d) instead of -MT(d)." >&6;}
    34483381            ;;
    34493382          *)
     
    45164449
    45174450LIBTOOL=
    4518 if test -r ../libtool; then
     4451if test -f ../libtool; then
    45194452  coin_config_dir=..
    45204453  LIBTOOL='$(SHELL) $(top_builddir)/../libtool'
    45214454fi
    45224455if test "x$LIBTOOL" = x; then
    4523   if test -r ../../libtool; then
     4456  if test -f ../../libtool; then
    45244457    coin_config_dir=../..
    45254458    LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'
     
    50675000*-*-irix6*)
    50685001  # Find out which ABI we are using.
    5069   echo '#line 5069 "configure"' > conftest.$ac_ext
     5002  echo '#line 5002 "configure"' > conftest.$ac_ext
    50705003  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    50715004  (eval $ac_compile) 2>&5
     
    66666599
    66676600# Provide some information about the compiler.
    6668 echo "$as_me:6668:" \
     6601echo "$as_me:6601:" \
    66696602     "checking for Fortran 77 compiler version" >&5
    66706603ac_compiler=`set X $ac_compile; echo $2`
     
    77337666   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    77347667   -e 's:$: $lt_compiler_flag:'`
    7735    (eval echo "\"\$as_me:7735: $lt_compile\"" >&5)
     7668   (eval echo "\"\$as_me:7668: $lt_compile\"" >&5)
    77367669   (eval "$lt_compile" 2>conftest.err)
    77377670   ac_status=$?
    77387671   cat conftest.err >&5
    7739    echo "$as_me:7739: \$? = $ac_status" >&5
     7672   echo "$as_me:7672: \$? = $ac_status" >&5
    77407673   if (exit $ac_status) && test -s "$ac_outfile"; then
    77417674     # The compiler can only warn and ignore the option if not recognized
     
    80017934   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80027935   -e 's:$: $lt_compiler_flag:'`
    8003    (eval echo "\"\$as_me:8003: $lt_compile\"" >&5)
     7936   (eval echo "\"\$as_me:7936: $lt_compile\"" >&5)
    80047937   (eval "$lt_compile" 2>conftest.err)
    80057938   ac_status=$?
    80067939   cat conftest.err >&5
    8007    echo "$as_me:8007: \$? = $ac_status" >&5
     7940   echo "$as_me:7940: \$? = $ac_status" >&5
    80087941   if (exit $ac_status) && test -s "$ac_outfile"; then
    80097942     # The compiler can only warn and ignore the option if not recognized
     
    81058038   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81068039   -e 's:$: $lt_compiler_flag:'`
    8107    (eval echo "\"\$as_me:8107: $lt_compile\"" >&5)
     8040   (eval echo "\"\$as_me:8040: $lt_compile\"" >&5)
    81088041   (eval "$lt_compile" 2>out/conftest.err)
    81098042   ac_status=$?
    81108043   cat out/conftest.err >&5
    8111    echo "$as_me:8111: \$? = $ac_status" >&5
     8044   echo "$as_me:8044: \$? = $ac_status" >&5
    81128045   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    81138046   then
     
    1045010383  lt_status=$lt_dlunknown
    1045110384  cat > conftest.$ac_ext <<EOF
    10452 #line 10452 "configure"
     10385#line 10385 "configure"
    1045310386#include "confdefs.h"
    1045410387
     
    1055010483  lt_status=$lt_dlunknown
    1055110484  cat > conftest.$ac_ext <<EOF
    10552 #line 10552 "configure"
     10485#line 10485 "configure"
    1055310486#include "confdefs.h"
    1055410487
     
    1289412827   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1289512828   -e 's:$: $lt_compiler_flag:'`
    12896    (eval echo "\"\$as_me:12896: $lt_compile\"" >&5)
     12829   (eval echo "\"\$as_me:12829: $lt_compile\"" >&5)
    1289712830   (eval "$lt_compile" 2>conftest.err)
    1289812831   ac_status=$?
    1289912832   cat conftest.err >&5
    12900    echo "$as_me:12900: \$? = $ac_status" >&5
     12833   echo "$as_me:12833: \$? = $ac_status" >&5
    1290112834   if (exit $ac_status) && test -s "$ac_outfile"; then
    1290212835     # The compiler can only warn and ignore the option if not recognized
     
    1299812931   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1299912932   -e 's:$: $lt_compiler_flag:'`
    13000    (eval echo "\"\$as_me:13000: $lt_compile\"" >&5)
     12933   (eval echo "\"\$as_me:12933: $lt_compile\"" >&5)
    1300112934   (eval "$lt_compile" 2>out/conftest.err)
    1300212935   ac_status=$?
    1300312936   cat out/conftest.err >&5
    13004    echo "$as_me:13004: \$? = $ac_status" >&5
     12937   echo "$as_me:12937: \$? = $ac_status" >&5
    1300512938   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1300612939   then
     
    1456814501   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1456914502   -e 's:$: $lt_compiler_flag:'`
    14570    (eval echo "\"\$as_me:14570: $lt_compile\"" >&5)
     14503   (eval echo "\"\$as_me:14503: $lt_compile\"" >&5)
    1457114504   (eval "$lt_compile" 2>conftest.err)
    1457214505   ac_status=$?
    1457314506   cat conftest.err >&5
    14574    echo "$as_me:14574: \$? = $ac_status" >&5
     14507   echo "$as_me:14507: \$? = $ac_status" >&5
    1457514508   if (exit $ac_status) && test -s "$ac_outfile"; then
    1457614509     # The compiler can only warn and ignore the option if not recognized
     
    1467214605   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1467314606   -e 's:$: $lt_compiler_flag:'`
    14674    (eval echo "\"\$as_me:14674: $lt_compile\"" >&5)
     14607   (eval echo "\"\$as_me:14607: $lt_compile\"" >&5)
    1467514608   (eval "$lt_compile" 2>out/conftest.err)
    1467614609   ac_status=$?
    1467714610   cat out/conftest.err >&5
    14678    echo "$as_me:14678: \$? = $ac_status" >&5
     14611   echo "$as_me:14611: \$? = $ac_status" >&5
    1467914612   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1468014613   then
     
    1687916812   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1688016813   -e 's:$: $lt_compiler_flag:'`
    16881    (eval echo "\"\$as_me:16881: $lt_compile\"" >&5)
     16814   (eval echo "\"\$as_me:16814: $lt_compile\"" >&5)
    1688216815   (eval "$lt_compile" 2>conftest.err)
    1688316816   ac_status=$?
    1688416817   cat conftest.err >&5
    16885    echo "$as_me:16885: \$? = $ac_status" >&5
     16818   echo "$as_me:16818: \$? = $ac_status" >&5
    1688616819   if (exit $ac_status) && test -s "$ac_outfile"; then
    1688716820     # The compiler can only warn and ignore the option if not recognized
     
    1714717080   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1714817081   -e 's:$: $lt_compiler_flag:'`
    17149    (eval echo "\"\$as_me:17149: $lt_compile\"" >&5)
     17082   (eval echo "\"\$as_me:17082: $lt_compile\"" >&5)
    1715017083   (eval "$lt_compile" 2>conftest.err)
    1715117084   ac_status=$?
    1715217085   cat conftest.err >&5
    17153    echo "$as_me:17153: \$? = $ac_status" >&5
     17086   echo "$as_me:17086: \$? = $ac_status" >&5
    1715417087   if (exit $ac_status) && test -s "$ac_outfile"; then
    1715517088     # The compiler can only warn and ignore the option if not recognized
     
    1725117184   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1725217185   -e 's:$: $lt_compiler_flag:'`
    17253    (eval echo "\"\$as_me:17253: $lt_compile\"" >&5)
     17186   (eval echo "\"\$as_me:17186: $lt_compile\"" >&5)
    1725417187   (eval "$lt_compile" 2>out/conftest.err)
    1725517188   ac_status=$?
    1725617189   cat out/conftest.err >&5
    17257    echo "$as_me:17257: \$? = $ac_status" >&5
     17190   echo "$as_me:17190: \$? = $ac_status" >&5
    1725817191   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1725917192   then
     
    2015920092}
    2016020093
     20094# Metis depends on libm
     20095
     20096
     20097if test $coin_cc_is_cl != true ; then
     20098
     20099fi
     20100
     20101
     20102
    2016120103# We may need to create a dummy header file for Windows
    2016220104if test "${ac_cv_header_strings_h+set}" = set; then
     
    2041720359echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2041820360coin_link_input_cmd="$LN_S"
    20419 if test "$enable_doscompile" = mingw; then
    20420   coin_link_input_cmd=cp
    20421 fi
    2042220361case "$CC" in
    2042320362  clang* ) ;;
  • ThirdParty/Metis/trunk/configure.ac

    r2363 r3057  
    5757AC_COIN_INIT_AUTO_TOOLS
    5858
     59# Metis depends on libm
     60AC_COIN_CHECK_LIBM
     61
    5962# We may need to create a dummy header file for Windows
    6063AC_CHECK_HEADER([strings.h], [], [touch strings.h])
Note: See TracChangeset for help on using the changeset viewer.